
function tmOnTimer()
{
  cpuLoadInfo;
  
  LockRefresh;
  var p1 = cpuUsageEx(0);
  var p2 = cpuUsageEx(1);
  var p3 = prg3.percent;// ramPhysPercent;
  
  if(p1>=80)
  {
    if(prg1.Src!='barRed.png')
      prg1.Src =  'barRed.png';
  }
  else if((p1<80)&&(p1>=50))
  {
    if(prg1.Src!='barOrg.png')
      prg1.Src =  'barOrg.png';
  }
  else
  {
    if(prg1.Src!='bar.png')
      prg1.Src =  'bar.png';
  }
  
  if(p2>=80)
  {
    if(prg2.Src!='barRed.png')
      prg2.Src =  'barRed.png';
  }
  else if((p2<80)&&(p2>=50))
  {
    if(prg2.Src!='barOrg.png')
      prg2.Src =  'barOrg.png';
  }
  else
  {
    if(prg2.Src!='bar.png')
      prg2.Src =  'bar.png';
  }
  

  if(p3>=80)
  {
    if(prg3.Src!='barRed.png')
      prg3.Src =  'barRed.png';
  }
  else if((p3<80)&&(p3>=50))
  {
    if(prg3.Src!='barOrg.png')
      prg3.Src =  'barOrg.png';
  }
  else
  {
    if(prg3.Src!='bar.png')
      prg3.Src =  'bar.png';
  }

  
  prg1.percent = p1;
  prg2.percent = p2; 
  
  txtinfo1.caption = p1 + '%';
  txtinfo2.caption = p2 + '%';
  txtinfo3.caption = p3 + '%';
  
  txtinfo1.tooltip = 'CPU1: ' + p1 + '%';
  txtinfo2.tooltip = 'CPU2: ' + p2 + '%';
  txtinfo3.tooltip = '物理内存: 剩余' +  Math.round( ramAvailPhys/1024/1024 ) + 'MB [使用率' + p3 + '%]';
  
  
  UnLockRefresh;

}

function Run(objPath) 
{
    try 
    {
        var objShell = new ActiveXObject('wscript.shell');
        objShell.Run(objPath);
        objShell = null;
    }
    catch (e)
    {
    alert('找不到指定文件'+objPath+'(或它的组件之一)，请确定文件或路径是否正确，并确定更改了你的IE安全级别：工具--Internet 选项 -- 安全 -- 自定义级别 -- 没有标记为安全的 ActiveX 控件进行初始化和脚本运行\n设置为“启用”或 “提示”');
    }
}


function widgetOnDBClick()
{
  Run("taskmgr");
  
}